<?php
/**
 * This file is part of the Itabs_Debit module.
 *
 * PHP version 5
 *
 * NOTICE OF LICENSE
 *
 * This source file is subject to the Open Software License (OSL 3.0)
 * that is bundled with this package in the file LICENSE.txt.
 * It is also available through the world-wide-web at this URL:
 * http://opensource.org/licenses/osl-3.0.php
 * If you did not receive a copy of the license and are unable to
 * obtain it through the world-wide-web, please send an email
 * to license@magentocommerce.com so we can send you a copy immediately.
 *
 * @category  Itabs
 * @package   Itabs_Debit
 * @author    ITABS GmbH <info@itabs.de>
 * @copyright 2008-2014 ITABS GmbH (http://www.itabs.de)
 * @license   http://opensource.org/licenses/osl-3.0.php Open Software License (OSL 3.0)
 * @version   1.1.2
 * @link      http://www.magentocommerce.com/magento-connect/debitpayment.html
 */
/**
 * Export Order Statuses
 */
class Itabs_Debit_Model_System_Config_Source_Debit_Status
{
    /**
     * @var array Statuses
     */
    protected $_options;

    /**
     * Returns the statuses as option array
     *
     * @return array Statuses
     */
    public function toOptionArray()
    {
        if (!$this->_options) {
            $this->_options = array(
                array(
                    'value' => 0,
                    'label' => Mage::helper('debit/adminhtml')->__('Not exported')
                ),
                array(
                    'value' => 1,
                    'label' => Mage::helper('debit/adminhtml')->__('Exported')
                )
            );
        }

        return $this->_options;
    }

    /**
     * Returns the statuses as option hash
     *
     * @return array
     */
    public function toOptionHash()
    {
        $options = $this->toOptionArray();

        $hash = array();
        foreach ($options as $option) {
            $hash[$option['value']] = $option['label'];
        }

        return $hash;
    }
}
